# Sto

Represents a Security Token Offering in the Polymesh blockchain

## Hierarchy

* [Entity](/polymesh-sdk-api-reference/docs-v8/classes/entity.md)‹UniqueIdentifiers, [HumanReadable](/polymesh-sdk-api-reference/docs-v8/interfaces/humanreadable.md)›

  ↳ **Sto**

## Index

### Properties

* [context](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#protected-context)
* [id](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#id)
* [ticker](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#ticker)
* [uuid](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#uuid)

### Methods

* [close](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#close)
* [details](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#details)
* [freeze](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#freeze)
* [getInvestments](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#getinvestments)
* [invest](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#invest)
* [isEqual](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#isequal)
* [modifyTimes](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#modifytimes)
* [toJson](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#tojson)
* [unfreeze](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#unfreeze)
* [generateUuid](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#static-generateuuid)
* [unserialize](/polymesh-sdk-api-reference/docs-v8/classes/sto.md#static-unserialize)

## Properties

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v8/classes/context.md)

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md)*.*[*context*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Entity.ts#L48)

### id

• **id**: *BigNumber*

*Defined in* [*src/api/entities/Sto/index.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L61)

identifier number of the Offering

### ticker

• **ticker**: *string*

*Defined in* [*src/api/entities/Sto/index.ts:66*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L66)

ticker of the Security Token being offered

### uuid

• **uuid**: *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md)*.*[*uuid*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Entity.ts#L46)

## Methods

### close

▸ **close**(`args`: void, `opts?`: [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹void››*

*Defined in* [*src/api/entities/Sto/index.ts:159*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L159)

Close the STO

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-v8/interfaces/proceduremethod.md), which means you can call `close.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                             |
| ------- | -------------------------------------------------------------------------------- |
| `args`  | void                                                                             |
| `opts?` | [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md) |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹void››*

### details

▸ **details**(): *Promise‹*[*StoDetails*](/polymesh-sdk-api-reference/docs-v8/interfaces/stodetails.md)*›*

*Defined in* [*src/api/entities/Sto/index.ts:106*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L106)

Retrieve the STO's details

**`note`** can be subscribed to

**Returns:** *Promise‹*[*StoDetails*](/polymesh-sdk-api-reference/docs-v8/interfaces/stodetails.md)*›*

▸ **details**(`callback`: [SubCallback](/polymesh-sdk-api-reference/docs-v8/globals.md#subcallback)‹[StoDetails](/polymesh-sdk-api-reference/docs-v8/interfaces/stodetails.md)›): *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v8/globals.md#unsubcallback)*›*

*Defined in* [*src/api/entities/Sto/index.ts:107*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L107)

**Parameters:**

| Name       | Type                                                                                                                                                  |
| ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| `callback` | [SubCallback](/polymesh-sdk-api-reference/docs-v8/globals.md#subcallback)‹[StoDetails](/polymesh-sdk-api-reference/docs-v8/interfaces/stodetails.md)› |

**Returns:** *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v8/globals.md#unsubcallback)*›*

### freeze

▸ **freeze**(`args`: void, `opts?`: [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹*[*Sto*](/polymesh-sdk-api-reference/docs-v8/classes/sto.md)*››*

*Defined in* [*src/api/entities/Sto/index.ts:169*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L169)

Freeze the STO

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-v8/interfaces/proceduremethod.md), which means you can call `freeze.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                             |
| ------- | -------------------------------------------------------------------------------- |
| `args`  | void                                                                             |
| `opts?` | [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md) |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹*[*Sto*](/polymesh-sdk-api-reference/docs-v8/classes/sto.md)*››*

### getInvestments

▸ **getInvestments**(`opts`: object): *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v8/interfaces/resultset.md)*‹*[*Investment*](/polymesh-sdk-api-reference/docs-v8/interfaces/investment.md)*››*

*Defined in* [*src/api/entities/Sto/index.ts:221*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L221)

Retrieve all investments made on this STO

**`note`** supports pagination

**`note`** uses the middleware

**Parameters:**

▪`Default value` **opts**: *object*= {}

| Name     | Type                | Description |
| -------- | ------------------- | ----------- |
| `size?`  | undefined \| number | page size   |
| `start?` | undefined \| number | page offset |

**Returns:** *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v8/interfaces/resultset.md)*‹*[*Investment*](/polymesh-sdk-api-reference/docs-v8/interfaces/investment.md)*››*

### invest

▸ **invest**(`args`: [InvestInStoParams](/polymesh-sdk-api-reference/docs-v8/interfaces/investinstoparams.md), `opts?`: [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹void››*

*Defined in* [*src/api/entities/Sto/index.ts:208*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L208)

Invest in the STO

**`note`** required roles:

* Purchase Portfolio Custodian
* Funding Portfolio Custodian

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-v8/interfaces/proceduremethod.md), which means you can call `invest.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                     |
| ------- | ---------------------------------------------------------------------------------------- |
| `args`  | [InvestInStoParams](/polymesh-sdk-api-reference/docs-v8/interfaces/investinstoparams.md) |
| `opts?` | [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md)         |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹void››*

### isEqual

▸ **isEqual**(`entity`: [Entity](/polymesh-sdk-api-reference/docs-v8/classes/entity.md)‹unknown, unknown›): *boolean*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md)*.*[*isEqual*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md#isequal)

*Defined in* [*src/api/entities/Entity.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Entity.ts#L61)

Whether this Entity is the same as another one

**Parameters:**

| Name     | Type                                                                              |
| -------- | --------------------------------------------------------------------------------- |
| `entity` | [Entity](/polymesh-sdk-api-reference/docs-v8/classes/entity.md)‹unknown, unknown› |

**Returns:** *boolean*

### modifyTimes

▸ **modifyTimes**(`args`: [ModifyStoTimesParams](/polymesh-sdk-api-reference/docs-v8/globals.md#modifystotimesparams), `opts?`: [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹void››*

*Defined in* [*src/api/entities/Sto/index.ts:194*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L194)

Modify the start/end time of the STO

**`throws`** if:

* Trying to modify the start time on an STO that already started
* Trying to modify anything on an STO that already ended
* Trying to change start or end time to a past date

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-v8/interfaces/proceduremethod.md), which means you can call `modifyTimes.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                        |
| ------- | ------------------------------------------------------------------------------------------- |
| `args`  | [ModifyStoTimesParams](/polymesh-sdk-api-reference/docs-v8/globals.md#modifystotimesparams) |
| `opts?` | [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md)            |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹void››*

### toJson

▸ **toJson**(): [*HumanReadable*](/polymesh-sdk-api-reference/docs-v8/interfaces/humanreadable.md)

*Overrides* [*Entity*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md)*.*[*toJson*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md#abstract-tojson)

*Defined in* [*src/api/entities/Sto/index.ts:276*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L276)

Return the Sto's ID and Token ticker

**Returns:** [*HumanReadable*](/polymesh-sdk-api-reference/docs-v8/interfaces/humanreadable.md)

### unfreeze

▸ **unfreeze**(`args`: void, `opts?`: [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹*[*Sto*](/polymesh-sdk-api-reference/docs-v8/classes/sto.md)*››*

*Defined in* [*src/api/entities/Sto/index.ts:179*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Sto/index.ts#L179)

Unfreeze the STO

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-v8/interfaces/proceduremethod.md), which means you can call `unfreeze.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                             |
| ------- | -------------------------------------------------------------------------------- |
| `args`  | void                                                                             |
| `opts?` | [ProcedureOpts](/polymesh-sdk-api-reference/docs-v8/interfaces/procedureopts.md) |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-v8/classes/transactionqueue.md)*‹*[*Sto*](/polymesh-sdk-api-reference/docs-v8/classes/sto.md)*››*

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md)*.*[*generateUuid*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md)*.*[*unserialize*](/polymesh-sdk-api-reference/docs-v8/classes/entity.md#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/7362b318/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v8/classes/sto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
